﻿openapi: 3.0.1
info:
  title: Flask Requests
  description: 'TODO: Add Description'
  version: '1.0'
servers:
  - url: 'http://127.0.0.1:7777/api'
paths:
  /users/1:
    get:
      tags:
        - Misc
      summary: Get User 1
      description: 'TODO: Add Description'
      operationId: Users1Get
      responses:
        '200':
          description: ''
          content: {}
      x-unitTests:
        - request:
            method: GET
            uri: /users/1
            headers:
              Accept: application/json
          expectedResponse:
            x-allowExtraHeaders: true
            x-bodyMatchMode: NONE
            x-arrayOrderedMatching: false
            x-arrayCheckCount: false
            x-matchResponseSchema: true
            headers: {}
          x-testShouldPass: true
          x-testEnabled: true
          x-testName: Get User 1
          x-testDescription: 'TODO: Add Description'
      x-operation-settings:
        CollectParameters: false
        AllowDynamicQueryParameters: false
        AllowDynamicFormParameters: false
        IsMultiContentStreaming: false
    put:
      tags:
        - Misc
      summary: Update User
      description: 'TODO: Add Description'
      operationId: Users1Put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserrequest'
        required: true
      responses:
        '200':
          description: ''
          content: {}
      x-unitTests:
        - request:
            method: PUT
            uri: /users/1
            headers:
              Accept: application/json
              Content-Type: application/json
            body: '{"user":"admin","first":"john","last":"smith","password":"hello"}'
          expectedResponse:
            x-allowExtraHeaders: true
            x-bodyMatchMode: NONE
            x-arrayOrderedMatching: false
            x-arrayCheckCount: false
            x-matchResponseSchema: true
            headers: {}
          x-testShouldPass: true
          x-testEnabled: true
          x-testName: Update User
          x-testDescription: 'TODO: Add Description'
      x-operation-settings:
        CollectParameters: false
        AllowDynamicQueryParameters: false
        AllowDynamicFormParameters: false
        IsMultiContentStreaming: false
      x-codegen-request-body-name: Body
  /users:
    get:
      tags:
        - Misc
      summary: Get Users by Name
      description: 'TODO: Add Description'
      operationId: UsersGet2
      parameters:
        - name: user
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content: {}
      x-unitTests:
        - request:
            method: GET
            uri: /users?user=dd
            headers:
              Accept: application/json
          expectedResponse:
            x-allowExtraHeaders: true
            x-bodyMatchMode: NONE
            x-arrayOrderedMatching: false
            x-arrayCheckCount: false
            x-matchResponseSchema: true
            headers: {}
          x-testShouldPass: true
          x-testEnabled: true
          x-testName: Get Users by Name
          x-testDescription: 'TODO: Add Description'
      x-operation-settings:
        CollectParameters: false
        AllowDynamicQueryParameters: false
        AllowDynamicFormParameters: false
        IsMultiContentStreaming: false
    post:
      tags:
        - Misc
      summary: Create User
      description: 'TODO: Add Description'
      operationId: UsersPost
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserrequest'
        required: true
      responses:
        '200':
          description: ''
          content: {}
      x-unitTests:
        - request:
            method: POST
            uri: /users
            headers:
              Accept: application/json
              Content-Type: application/json
            body: '{"user":"dd","first":"mike","last":"smith","password":"hello"}'
          expectedResponse:
            x-allowExtraHeaders: true
            x-bodyMatchMode: NONE
            x-arrayOrderedMatching: false
            x-arrayCheckCount: false
            x-matchResponseSchema: true
            headers: {}
          x-testShouldPass: true
          x-testEnabled: true
          x-testName: Create User
          x-testDescription: 'TODO: Add Description'
      x-operation-settings:
        CollectParameters: false
        AllowDynamicQueryParameters: false
        AllowDynamicFormParameters: false
        IsMultiContentStreaming: false
      x-codegen-request-body-name: Body
  /users/2:
    delete:
      tags:
        - Misc
      summary: Delete User 2
      description: 'TODO: Add Description'
      operationId: Users2Delete
      responses:
        '200':
          description: ''
          content: {}
      x-unitTests:
        - request:
            method: DELETE
            uri: /users/2
            headers:
              Accept: application/json
          expectedResponse:
            x-allowExtraHeaders: true
            x-bodyMatchMode: NONE
            x-arrayOrderedMatching: false
            x-arrayCheckCount: false
            x-matchResponseSchema: true
            headers: {}
          x-testShouldPass: true
          x-testEnabled: true
          x-testName: Delete User 2
          x-testDescription: 'TODO: Add Description'
      x-operation-settings:
        CollectParameters: false
        AllowDynamicQueryParameters: false
        AllowDynamicFormParameters: false
        IsMultiContentStreaming: false
components:
  schemas:
    CreateUserrequest:
      title: Create UserRequest
      required:
        - first
        - last
        - password
        - user
      type: object
      properties:
        user:
          type: string
          description: ''
          example: dd
        first:
          type: string
          description: ''
          example: mike
        last:
          type: string
          description: ''
          example: smith
        password:
          type: string
          description: ''
          example: hello
      example:
        user: dd
        first: mike
        last: smith
        password: hello
    UpdateUserrequest:
      title: Update UserRequest
      required:
        - first
        - last
        - password
        - user
      type: object
      properties:
        user:
          type: string
          description: ''
          example: admin
        first:
          type: string
          description: ''
          example: john
        last:
          type: string
          description: ''
          example: smith
        password:
          type: string
          description: ''
          example: hello
      example:
        user: admin
        first: john
        last: smith
        password: hello
